
%define name	fwbackups
%define version	1.43.4
%define pre	%nil
%define rel	4

Summary:	Feature-rich user backup program
Name:		%{name}
Version:	%{version}
%if "%pre" != ""
Release:	%mkrel 0.%pre.%rel
%else
Release:	%mkrel %rel
%endif
Group:		Archiving/Backup
License:	GPLv2+
URL:		http://www.diffingo.com/oss/fwbackups/
Source:		http://www.diffingo.com/downloads/fwbackups/%{name}-%{version}%{pre}.tar.bz2
Patch0:		fwbackups-desktop-categories.patch
# patch taken from Fedora:
# http://pkgs.fedoraproject.org/gitweb/?p=fwbackups.git;a=blob;f=fwbackups-1.43.4-fdopen.patch
# fixes attempted backup of non-existing file fdopen (RH #725933) 
Patch1:		fwbackups-1.43.4-fdopen.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	python-devel
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	python-pycrypto
Requires:	python-paramiko
Requires:	python-notify
Requires:	tar
Requires:	rsync

%description
fwbackups is a feature-rich user backup program that allows you to
backup your documents anytime, anywhere.

It offers a simple but powerful interface that permits you to perform
backups with ease, supporting scheduled backups and backing up to
remote computers.

%prep
%setup -q -n %{name}-%{version}%{pre}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# icon theme spec
install -d -m755 %{buildroot}%{_iconsdir}/hicolor/{scalable,48x48,32x32,16x16}/apps
mv %{buildroot}%{_datadir}/pixmaps/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
for i in 16x16 32x32 48x48; do
	convert %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg -resize ${i} %{buildroot}%{_iconsdir}/hicolor/${i}/apps/%{name}.png
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_datadir}/%{name}
%{_datadir}/applications/fwbackups.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{python_sitelib}/%{name}




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.43.4-4.mga3
+ Revision: 351005
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 12 2011 doktor5000 <doktor5000> 1.43.4-3.mga2
+ Revision: 181036
- fix attempted backup of non-existing file fdopen (mga#3699)

* Mon Jan 17 2011 pterjan <pterjan> 1.43.4-2.mga1
+ Revision: 21341
- Rebuild for python 2.7

* Sat Jan 15 2011 anssi <anssi> 1.43.4-1.mga1
+ Revision: 19841
- new version
- imported package fwbackups

